AlarmsResource
Reads and acknowledges device alarm notifications.
- Stable unknown
- Release candidate since 0.1.0-rc.4
- Development since 0.1.0-dev.24+fa54770
public final class AlarmsResourceReads and acknowledges device alarm notifications. Get it from NotificationsResource.alarms().
Methods
list
public JsonNode list(
Map<String, ?> query,
RequestOptions options) throws IOException, InterruptedExceptionLists alarm notifications (GET /v1/slim/notifications/alarms).
Parameters:
query: query parameters;nullvalues are skippedoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
recent
public JsonNode recent(
Map<String, ?> query,
RequestOptions options) throws IOException, InterruptedExceptionLists recent alarm notifications (GET /v1/slim/notifications/recent/alarms).
Parameters:
query: query parameters;nullvalues are skippedoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
acknowledge
public JsonNode acknowledge(
String notificationId,
RequestOptions options) throws IOException, InterruptedExceptionAcknowledges a notification (PATCH /v1/slim/notifications/{notificationId}/ack).
Parameters:
notificationId: the notification IDoptions: per-request options, such as the timeout
Returns: the response body
Throws:
IOException: if the request cannot be sent or the response cannot be readInterruptedException: if the thread is interrupted while waiting for the response
Last updated on